Stamps
Get stamp history
Returns a paginated list of stamp events (additions, removals, resets) for a wallet pass.
Required scopes: pass:read
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
walletPassId*string
Query Parameters
pageable*
Response Body
*/*
curl -X GET "https://api.stemp.app/api/v1/walletpasses/string/stamps/history?page=0&size=1&sort=string"{
"content": [
{
"id": "string",
"walletPassId": "string",
"stampsBefore": 0,
"stampsAfter": 0,
"stampsDelta": 0,
"actionType": "STAMP_ADDED",
"triggeredByMemberId": "string",
"note": "string",
"locationId": "string",
"latitude": 0.1,
"longitude": 0.1,
"createdAt": "2019-08-24T14:15:22Z"
}
],
"page": {
"size": 0,
"number": 0,
"totalElements": 0,
"totalPages": 0
}
}